%define prefix /usr
%define name cutemaze
%define version 1.3.0
%define release %mkrel 1
%define url http://gottcode.org/cutemaze/

Name:		%{name}
Version:	%{version}
Release:	%{release}
License:	GPLv3
Group:		Games/Puzzles
URL:		%{url}
Source:		http://gottcode.org/cutemaze/%{name}-%{version}.tar.xz
Summary:	A top-down maze game
Summary(de):	Ein Labyrinth-Spiel
BuildRoot:	%{_tmppath}/%{name}-buildroot
BuildRequires:	qt5core-devel
BuildRequires:	qt5gui-devel
BuildRequires:	%{_lib}qt5base5-devel
BuildRequires:  %{_lib}qt5svg-devel
BuildConflicts: %{_lib}qt4-devel
Obsoletes:	%name < %version

%description
A simple, top-down game in which mazes are randomly generated using one of a 
choice of several different algorithms. You move the character through while 
hunting for targets (cheese, by default)-the game is won once all of these 
targets have been picked up.

CuteMaze features a "bread crumb" trail to show you where you've already been, 
theme-able graphics (two themes come with the game), a flag system which allows 
you to mark and then later un-mark any square on the board, and SVG rendering.


#german
%description -l de
Bei „CuteMaze“ müssen Sie mit Ihren Pfeiltasten eine Maus oder einen Pinguin 
durch ein Labyrinth lenken, um Leckereien einzusammeln. Der Weg, den Sie schon 
gegangen sind, wird mit grauen Pfeilen markiert. Die Größe des Irrgartens und 
die Anzahl der Leckerchen können Sie selbst bestimmen. Sie können das Bild 
hinaus zoomen, um einen besseren Überblick zu haben und hinein zoomen, um 
Einzelheiten zu erkennen. Gemessen werden Zeit und Anzahl Ihrer Schritte.


%prep

%setup -q -n %{name}-%{version}

%build

qmake PREFIX=%{prefix}

%make

%install
rm -rf $RPM_BUILD_ROOT
make install INSTALL_ROOT=%{buildroot}


mkdir -p %{buildroot}%{_datadir}/applications
cat > %{buildroot}%{_datadir}/applications/%{name}.desktop << EOF
[Desktop Entry]
Type=Application
Name=CuteMaze
GenericName=CuteMaze Game
GenericName[de]=CuteMaze Spiel
Comment=%{summary}
Comment[de]=%{summary}
Icon=cutemaze
Exec=cutemaze %F
Terminal=false
Categories=Game;LogicGame;X-MandrivaLinux-MoreApplications-Games-Puzzles;
EOF

mkdir -p %{buildroot}%{_datadir}/pixmaps
mv %{buildroot}%{_iconsdir}/hicolor/48x48/apps/%{name}.png %{buildroot}%{_datadir}/pixmaps/%{name}.png

%post
%{update_desktop_database}


%postun
%{clean_desktop_database}

%files
%defattr(-,root,root)
%doc COPYING ChangeLog 
%{_bindir}/%{name}
%{_datadir}/metainfo/cutemaze.appdata.xml
%{_datadir}/applications/%{name}.desktop
%{_datadir}/pixmaps/%{name}.png
%dir %{_datadir}/%{name}
%{_datadir}/%{name}/translations/cutemaze_*.qm
%{_iconsdir}/hicolor/*/apps/%{name}.png
%{_iconsdir}/hicolor/*/apps/%{name}.svg
%{_mandir}/man*/cutemaze.*.bz2






%clean
rm -rf %{buildroot}
rm -rf $RPM_BUILD_DIR/%{name}-%{version}

%changelog
* Fri Jan 21 2022 daniel <> 1.3.0-1pclos2022
- 1.3.0
 
* Fri May 01 2020 daniel <meisssw01 at gmail.com> 1.2.6-1pclos2020
- update

* Tue Mar 17 2020 daniel <meisssw01 at gmail.com> 1.2.5-1pclos2020
- update

* Thu Mar 14 2019 daniel <meisssw01 at gmail.com> 1.2.4-1pclos2019
- update

* Sat Sep 30 2017 ghostbunny <ghostbunny at gmx dot de> 1.2.1-1pclos2017
- 1.2.1

* Fri Oct 21 2016 daniel <meisssw01 at gmail.com> 1.2.0-1pclos2016
- update

* Tue Feb 04 2014 daniel <meisssw01 at gmail.com> 1.1.1-1free2014
- upstream tarball

* Tue Mar 13 2012 Neal <nealbrks0 at gmail dot com> 1.0.4-1pclos2012
- process

* Mon Mar 12 2012 leiche <meisssw01 at gmail.com> 1.0.4-1pclos2012
- initial packages
